
-- Custom colors or class color for borders

local color = false  -- false to disable, true to enable class color
local r = 0.7 -- red color
local g = 0.7 -- green color -- if you need some another colors change r,g,b,a  as you wish
local b = 0.7 -- blue color
local a = 1 -- alpha

-- WARNING!!! If you use another mod to move edit box on top , do not use that option, to prevent maybe possible conflicts
-- moving editbox to top

local editboxtop = true -- false to disable, true to move editbox to top

-- Chat windows alpha --

local alpha = 0.20

-- Border Texture

local frameborder = "Interface\\AddOns\\ChatBorders\\frameborder"

-- width and height borders

local hgdw = 12  

--Removing Chat frame alpha

DEFAULT_CHATFRAME_ALPHA = 0

-- chatframe edit box.
-- Moving chatframe edit box to top . Took from Basic Chat mods by Funkydude. All Credits goes to Funkydude

if editboxtop == true then
local eb = ChatFrame1EditBox
eb:ClearAllPoints()
eb:SetPoint("BOTTOMLEFT",  "ChatFrame1", "TOPLEFT",  -5, 8)
eb:SetPoint("BOTTOMRIGHT", "ChatFrame1", "TOPRIGHT", 5, 8)
end

if color == false then
    color = { r = r, g = g, b = b ,a = a}
else
    color = RAID_CLASS_COLORS[select(2, UnitClass("player"))]
end

--Hiding 
local editbox = CreateFrame("Button", nil, ChatFrame1EditBox)
editbox:SetPoint("TOPLEFT", "ChatFrame1EditBoxLeft", "TOPLEFT", -5, 2) 
editbox:SetPoint("BOTTOMRIGHT", "ChatFrame1EditBoxRight", "BOTTOMRIGHT", 5, -2)
editbox:SetFrameLevel(ChatFrame1EditBox:GetFrameLevel()-1)
ChatFrame1EditBox:SetAltArrowKeyMode(false)

for i = 6, 11 do
        select(i, ChatFrame1EditBox:GetRegions()):SetTexture(nil)
end


-- Border for chatframe edit box
editbox:SetBackdrop({bgFile = "Interface\\Buttons\\WHITE8X8",tile = false, tileSize = 0,insets = { left = 6, right = 6, top = 6, bottom = 4 }})
editbox:SetBackdropColor(0.19, 0.17, 0.33, 0.80) -- background color and alpha (r ,g ,b ,alpha)

			local TopLeft = editbox:CreateTexture(nil, "OVERLAY")
			TopLeft:SetTexture(frameborder)
			TopLeft:SetTexCoord(0, 1/3, 0, 1/3)
			TopLeft:SetPoint("TOPLEFT", 5, -4)
			TopLeft:SetWidth(hgdw) TopLeft:SetHeight(hgdw)
			TopLeft:SetVertexColor(color.r,color.g,color.b,color.a)
	
			local TopRight = editbox:CreateTexture(nil, "OVERLAY")
			TopRight:SetTexture(frameborder)
			TopRight:SetTexCoord(2/3, 1, 0, 1/3)
			TopRight:SetPoint("TOPRIGHT", -5, -4)
			TopRight:SetWidth(hgdw) TopRight:SetHeight(hgdw)
			TopRight:SetVertexColor(color.r,color.g,color.b,color.a)

			local BottomLeft = editbox:CreateTexture(nil, "OVERLAY")
			BottomLeft:SetTexture(frameborder)
			BottomLeft:SetTexCoord(0, 1/3, 2/3, 1)
			BottomLeft:SetPoint("BOTTOMLEFT", 5, 3)
			BottomLeft:SetWidth(hgdw) BottomLeft:SetHeight(hgdw)
			BottomLeft:SetVertexColor(color.r,color.g,color.b,color.a)

			local BottomRight = editbox:CreateTexture(nil, "OVERLAY")
			BottomRight:SetTexture(frameborder)
			BottomRight:SetTexCoord(2/3, 1, 2/3, 1)
			BottomRight:SetPoint("BOTTOMRIGHT", -5, 3)
			BottomRight:SetWidth(hgdw) BottomRight:SetHeight(hgdw)
			BottomRight:SetVertexColor(color.r,color.g,color.b,color.a)

			local TopEdge = editbox:CreateTexture(nil, "OVERLAY")
			TopEdge:SetTexture(frameborder)
			TopEdge:SetTexCoord(1/3, 2/3, 0, 1/3)
			TopEdge:SetPoint("TOPLEFT", TopLeft, "TOPRIGHT")
			TopEdge:SetPoint("TOPRIGHT", TopRight, "TOPLEFT")
			TopEdge:SetHeight(hgdw)
			TopEdge:SetVertexColor(color.r,color.g,color.b,color.a)
		
			local BottomEdge = editbox:CreateTexture(nil, "OVERLAY")
			BottomEdge:SetTexture(frameborder)
			BottomEdge:SetTexCoord(1/3, 2/3, 2/3, 1)
			BottomEdge:SetPoint("BOTTOMLEFT", BottomLeft, "BOTTOMRIGHT")
			BottomEdge:SetPoint("BOTTOMRIGHT", BottomRight, "BOTTOMLEFT")
			BottomEdge:SetHeight(hgdw)
			BottomEdge:SetVertexColor(color.r,color.g,color.b,color.a)
		
			local LeftEdge = editbox:CreateTexture(nil, "OVERLAY")
			LeftEdge:SetTexture(frameborder)
			LeftEdge:SetTexCoord(0, 1/3, 1/3, 2/3)
			LeftEdge:SetPoint("TOPLEFT", TopLeft, "BOTTOMLEFT")
			LeftEdge:SetPoint("BOTTOMLEFT", BottomLeft, "TOPLEFT")
			LeftEdge:SetWidth(hgdw)
			LeftEdge:SetVertexColor(color.r,color.g,color.b,color.a)
		
			local RightEdge = editbox:CreateTexture(nil, "OVERLAY")
			RightEdge:SetTexture(frameborder)
			RightEdge:SetTexCoord(2/3, 1, 1/3, 2/3)
			RightEdge:SetPoint("TOPRIGHT", TopRight, "BOTTOMRIGHT")
			RightEdge:SetPoint("BOTTOMRIGHT", BottomRight, "TOPRIGHT")
			RightEdge:SetWidth(hgdw)
			RightEdge:SetVertexColor(color.r,color.g,color.b,color.a)

    
-- Borders
    
    local function Border(self)
    local ChatFrame = _G[self]

    for _, texture in pairs({
        'ChatFrame1',
        'ChatFrame2',
        'ChatFrame3',
        'ChatFrame4',
        'ChatFrame5',
        'ChatFrame6',
        'ChatFrame7',
        'ChatFrame8',
        'ChatFrame9',
        'ChatFrame10',
    }) 
    do
	
            ChatFrame:SetBackdrop({bgFile = 'Interface\\Buttons\\WHITE8X8',tile = false, tileSize = 0,insets = { left = -5, right = -5, top = -2, bottom = -5 }})
            ChatFrame:SetBackdropColor(0, 0, 0, alpha) -- background color and alpha (r ,g ,b ,alpha)

			local TopLeft = ChatFrame:CreateTexture(nil, "OVERLAY")
			TopLeft:SetTexture(frameborder)
			TopLeft:SetTexCoord(0, 1/3, 0, 1/3)
			TopLeft:SetPoint("TOPLEFT", -5, 4)
			TopLeft:SetWidth(hgdw) TopLeft:SetHeight(hgdw)
			TopLeft:SetVertexColor(color.r,color.g,color.b,color.a)
	
			local TopRight = ChatFrame:CreateTexture(nil, "OVERLAY")
			TopRight:SetTexture(frameborder)
			TopRight:SetTexCoord(2/3, 1, 0, 1/3)
			TopRight:SetPoint("TOPRIGHT", 5, 4)
			TopRight:SetWidth(hgdw) TopRight:SetHeight(hgdw)
			TopRight:SetVertexColor(color.r,color.g,color.b,color.a)

			local BottomLeft = ChatFrame:CreateTexture(nil, "OVERLAY")
			BottomLeft:SetTexture(frameborder)
			BottomLeft:SetTexCoord(0, 1/3, 2/3, 1)
			BottomLeft:SetPoint("BOTTOMLEFT", -5, -8)
			BottomLeft:SetWidth(hgdw) BottomLeft:SetHeight(hgdw)
			BottomLeft:SetVertexColor(color.r,color.g,color.b,color.a)

			local BottomRight = ChatFrame:CreateTexture(nil, "OVERLAY")
			BottomRight:SetTexture(frameborder)
			BottomRight:SetTexCoord(2/3, 1, 2/3, 1)
			BottomRight:SetPoint("BOTTOMRIGHT", 5, -8)
			BottomRight:SetWidth(hgdw) BottomRight:SetHeight(hgdw)
			BottomRight:SetVertexColor(color.r,color.g,color.b,color.a)

			local TopEdge = ChatFrame:CreateTexture(nil, "OVERLAY")
			TopEdge:SetTexture(frameborder)
			TopEdge:SetTexCoord(1/3, 2/3, 0, 1/3)
			TopEdge:SetPoint("TOPLEFT", TopLeft, "TOPRIGHT")
			TopEdge:SetPoint("TOPRIGHT", TopRight, "TOPLEFT")
			TopEdge:SetHeight(hgdw)
			TopEdge:SetVertexColor(color.r,color.g,color.b,color.a)
		
			local BottomEdge = ChatFrame:CreateTexture(nil, "OVERLAY")
			BottomEdge:SetTexture(frameborder)
			BottomEdge:SetTexCoord(1/3, 2/3, 2/3, 1)
			BottomEdge:SetPoint("BOTTOMLEFT", BottomLeft, "BOTTOMRIGHT")
			BottomEdge:SetPoint("BOTTOMRIGHT", BottomRight, "BOTTOMLEFT")
			BottomEdge:SetHeight(hgdw)
			BottomEdge:SetVertexColor(color.r,color.g,color.b,color.a)
		
			local LeftEdge = ChatFrame:CreateTexture(nil, "OVERLAY")
			LeftEdge:SetTexture(frameborder)
			LeftEdge:SetTexCoord(0, 1/3, 1/3, 2/3)
			LeftEdge:SetPoint("TOPLEFT", TopLeft, "BOTTOMLEFT")
			LeftEdge:SetPoint("BOTTOMLEFT", BottomLeft, "TOPLEFT")
			LeftEdge:SetWidth(hgdw)
			LeftEdge:SetVertexColor(color.r,color.g,color.b,color.a)
		
			local RightEdge = ChatFrame:CreateTexture(nil, "OVERLAY")
			RightEdge:SetTexture(frameborder)
			RightEdge:SetTexCoord(2/3, 1, 1/3, 2/3)
			RightEdge:SetPoint("TOPRIGHT", TopRight, "BOTTOMRIGHT")
			RightEdge:SetPoint("BOTTOMRIGHT", BottomRight, "TOPRIGHT")
			RightEdge:SetWidth(hgdw)
			RightEdge:SetVertexColor(color.r,color.g,color.b,color.a)   
    
    end
end
            
    for i = 1, NUM_CHAT_WINDOWS do
        Border('ChatFrame'..i)
    end      
            